#include "vac.h"

/*
 * vac_get - Gets pressure reading from vac device
 */

int vac_get (int fd, double *press, char *units)
{
  char *buff;
  char request[10];
  char *valor;

  buff = (unsigned char *) malloc(21);

  sprintf(request, "mes r tm1%c", CR);

  if (vac_write(fd, request) < 0)
    {
      printf("vac_write failed.\n");
      return -1;
    }
  
  if (vac_read (fd, buff) < 0)
    {
      printf("vac_read failed.\n");
      return -1;
    }
  else 
    {
      valor = buff+11;
      sprintf(units, "%c%c%c%c%c%c", buff[4], buff[5], buff[6], buff[7], 
	      buff[8], buff[9]);
      *press = atof(valor);
      return 1;
    }
  
  return 0;
}


/*
 * MAIN
 */

int main()
{
  int fd;
  char *device;
  double press;
  char units[6];

  device = DEVICE;
  
  fd = vac_init(device);
  if (fd < 0){
    printf("Device init failure\n");
    return -1;
  }

  while(1){
    vac_get(fd, &press, units);
    printf("Reading: %4.2f %s\n", press, units);
  }
  return 0;
}
